# Interface LoaderProps

interface LoaderProps {
className?: string;
color?: string;
show?: null | boolean;
size?: string | number;
speed?: number;
}

- Defined in src/components/ui/loader/Loader.tsx:6

#####
Index

### Properties

className?
color?
show?
size?
speed?

##
Properties

### `Optional` className

className?: string

- Defined in src/components/ui/loader/Loader.tsx:23

### `Optional` color

color?: string

Color of the spinner, defaults to currentColor

- Defined in src/components/ui/loader/Loader.tsx:14

### `Optional` show

show?: null | boolean

Whether to show the spinner or not

- Defined in src/components/ui/loader/Loader.tsx:22

### `Optional` size

size?: string | number

Size of the spinner, can be unitless, defaults to 2rem

- Defined in src/components/ui/loader/Loader.tsx:18

### `Optional` speed

speed?: number

Time in ms for a full spin

- Defined in src/components/ui/loader/Loader.tsx:10